# Uses of Class
org.astrogrid.samp.Subscriptions

Packages that use Subscriptions
Package
Description
org.astrogrid.samp
Classes common to SAMP hub and client code.
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.
org.astrogrid.samp.xmlrpc
Classes relating to Standard Profile and XML-RPC pluggable implementation layer.

## Uses of Subscriptions in org.astrogrid.samp

Methods in org.astrogrid.samp that return Subscriptions
Modifier and Type
Method
Description
`static Subscriptions`
Subscriptions.`asSubscriptions(Map map)`
Returns a given map in the form of a Subscriptions object.
`Subscriptions`
Client.`getSubscriptions()`
Returns the currently declared subscriptions for this client, if any.

## Uses of Subscriptions in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client that return Subscriptions
Modifier and Type
Method
Description
`Subscriptions`
HubConnector.`computeSubscriptions()`
Works out the subscriptions map for this connector.
`Subscriptions`
HubConnection.`getSubscriptions(String clientId)`
Returns the subscriptions for another registered client.
`Subscriptions`
HubConnector.`getSubscriptions()`
Returns this client's own subscriptions.

## Uses of Subscriptions in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui with parameters of type Subscriptions
Modifier and Type
Method
Description
`void`
ClientPanel.`setSubscriptions(Subscriptions subs)`
Updates this component's subscriptions panel to display the current state of a given subscriptions object.

## Uses of Subscriptions in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return Subscriptions
Modifier and Type
Method
Description
`protected Subscriptions`
BasicHubService.`getSubscriptions(HubClient caller, String clientId)`
Does the work for the `getSubscriptions` method of connections registered with this service.
`Subscriptions`
HubClient.`getSubscriptions()`

## Uses of Subscriptions in org.astrogrid.samp.test

Constructors in org.astrogrid.samp.test with parameters of type Subscriptions
Modifier
Constructor
Description
``
`Snooper(ClientProfile profile, Subscriptions subs, OutputStream out, int autoSec)`
Constructor using default metadata.
``
`Snooper(ClientProfile profile, Subscriptions subs, Metadata meta, OutputStream out, int autoSec)`
Constructor using custom metadata.

## Uses of Subscriptions in org.astrogrid.samp.xmlrpc

Methods in org.astrogrid.samp.xmlrpc that return Subscriptions
Modifier and Type
Method
Description
`Subscriptions`
XmlRpcHubConnection.`getSubscriptions(String clientId)`